<?php

/**
 * Renderira polja u checkout formi.
 *
 * @param WC_Checkout $checkout
 */
function ep_hak_checkout_form(WC_Checkout $checkout)
{
    wp_enqueue_script('ep-hak-checkout');

	?>
	<div class="ep-hak-checkout clear">
		<?php
		woocommerce_form_field('hak_active', [
			'type' => 'select',
			'label' => 'Član ste HAK-a? Ostvarite popust',
			'class' => ['form-row-first'],
			'options' => [
				'yes' => 'DA',
				'no' => 'NE',
			],
		], $checkout->get_value('hak') ?: 'no');

		$memberClasses = ['form-row-last'];

		if ('no' === $checkout->get_value('hak') ?: 'no') {
			$memberClasses[] = 'hidden';
		}

		woocommerce_form_field('hak_member', [
			'type' => 'text',
			'label' => 'Broj članske iskaznice',
			'placeholder' => '123456789',
			'class' => $memberClasses,
		], $checkout->get_value('hak_member'));
		?>
	</div>
	<?php
}